import fly from "./main";
import store from "@/store/index"


//获取验证码
export function userGetCode($params) {
  return fly.post('user/get-code', $params)
}

//用户注册+登录
export function userRegister($params) {
  return fly.post('user/register', $params)
}

//用户登录
export function userLogin($params) {
  return fly.post('user/login', $params)
}

//用户详情
export function userDetail() {
  let $token = wx.getStorageSync('token')
  let $params = {
    access_token: $token
  }
  return fly.post('user/user-detail', $params)
}

//校验验证码
export function userCheckCode($params) {
  let $token = wx.getStorageSync('token')
  $params['access_token'] = $token
  return fly.post('user/check-code', $params)
}


//修改手机号码
export function userChangePhone($params) {
  let $token = wx.getStorageSync('token')
  $params['access_token'] = $token
  return fly.post('user/change-phone', $params)
}

//修改性别
export function userChangeSex($params) {
  let $token = wx.getStorageSync('token')
  $params['access_token'] = $token
  return fly.post('user/change-sex', $params)
}

//修改生日
export function userChangeBirthday($params) {
  let $token = wx.getStorageSync('token')
  $params['access_token'] = $token
  return fly.post('user/change-birthday', $params)
}

//校验验证码
export function userCheckInvite($invite_code) {
  let $params = {
    'invite': $invite_code,
    access_token: 11
  }
  return fly.post('user/check-invite', $params);
}

//刷新登录时间
export function userUpdateLoginTime(){
  let $params = {
    access_token: wx.getStorageSync('token')
  }
  return fly.post('user/update-login-time', $params);
}
