import {userDetail} from "../requests/user";
import {formatBirthday, formatTime} from "./index";
import utils from "./index";
import user_store from '../store/index'


//刷新用户信息

export function reload_userinfo($this) {
  userDetail().then((res) => {
    let $data = res.data;
    $this.userinfo = $data.data;
    $this.userinfo.birthday = formatBirthday($this.userinfo.birthday)
    $this.userinfo['validity_time'] = formatTime($this.userinfo['validity_time'])
    $this.userinfo['level_name'] = utils.get_level_name($this.userinfo['level'])
    $this.invite_code = wx.getStorageSync('code') ? wx.getStorageSync('code') : $this.userinfo['invite_id']

    // $this.userinfo.play_time = Math.ceil($this.userinfo.play_time / 60)
    user_store.commit('set_userinfo', $this.userinfo)
  })
}
